Group: Graphical desktop/MATE
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: /usr/bin/gdk-pixbuf-csource /usr/bin/glib-genmarshal /usr/bin/glib-gettextize /usr/bin/jw /usr/bin/xsltproc libICE-devel libSM-devel libX11-devel libapm-devel libcpufreq-devel libgio-devel pkgconfig(NetworkManager) pkgconfig(dbus-1) pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0) pkgconfig(gtk+-2.0) pkgconfig(libgtop-2.0) pkgconfig(mate-settings-daemon) pkgconfig(mucharmap-2) python-devel python-module-pygobject-devel xorg-kbproto-devel
# END SourceDeps(oneline)
BuildRequires: xvfb-run
%define _libexecdir %_prefix/libexec
%define fedora 19
Name:           mate-applets
Version:        1.6.1
Release:        alt1_1
Summary:        MATE Desktop panel applets
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz

BuildRequires: libdbus-glib-devel
BuildRequires: libgucharmap-devel
BuildRequires: libgtop2-devel
BuildRequires: libmatekeyring-devel
BuildRequires: libnotify-devel
BuildRequires: libmateweather-devel
BuildRequires: libmatewnck-devel
BuildRequires: libnotify-devel
#NetworkManager-gtk-devel is renamed libnm-gtk-devel on F18
%if 0%{?fedora} < 18
BuildRequires: NetworkManager-gtk-devel
%else
BuildRequires: libnm-gtk-devel
%endif
BuildRequires: libxml2-devel
BuildRequires: mate-common
BuildRequires: mate-control-center-devel
BuildRequires: mate-desktop-devel
BuildRequires: mate-doc-utils
BuildRequires: mate-file-manager-devel
BuildRequires: mate-icon-theme-devel
BuildRequires: mate-keyring-devel
BuildRequires: mate-menus-devel
BuildRequires: mate-notification-daemon
BuildRequires: mate-panel-devel
BuildRequires: libpolkit-devel
BuildRequires: python-module-pygtk-devel
BuildRequires: rarian-compat
BuildRequires: librarian-devel
BuildRequires: libstartup-notification-devel
Buildrequires: libupower-devel
Source44: import.info
Patch33: mate-applets-1.5.1-alt-geyes_schema.patch
Patch34: gnome-applets-2.6.0-alt-install_makefile.patch
Patch35: gnome-applets-2.9.90-alt-modemlights.patch
Source45: 01-cpufreq.pkla
%description
MATE Desktop panel applets

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh
%patch33 -p1
%patch34 -p1
%patch35 -p1


%build
%configure   \
    --disable-schemas-compile                \
    --disable-scrollkeeper                   \
    --with-x                                 \
    --enable-polkit                          \
    --enable-networkmanager                  \
    --enable-ipv6                            \
    --disable-cpufreq                        \
    --enable-frequency-selector              \
    --enable-suid                            \
    --disable-timer-applet                   \
    --libexecdir=%{_libexecdir}/mate-applets 

xvfb-run -a make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install
%find_lang %{name} --all-name

#make python script executable
#http://forums.fedoraforum.org/showthread.php?t=284962
chmod a+x %{buildroot}%{python_sitelibdir_noarch}/mate_invest/chart.py
# alt 01-cpufreq.pkla
install -pD -m 644 %{SOURCE45} %buildroot%_sysconfdir/polkit-1/localauthority/50-local.d/01-cpufreq.pkla

%files -f %{name}.lang
%doc AUTHORS COPYING README
%{_bindir}/mate-invest-chart
%{python_sitelibdir_noarch}/mate_invest
%{_datadir}/dbus-1/services/org.mate.panel.applet.InvestAppletFactory.service
%{_datadir}/icons/hicolor/scalable/apps/mate-invest-applet.svg
%{_datadir}/mate/help/mate-invest-applet
%{_datadir}/omf/mate-invest-applet
%{_datadir}/mate-applets
%{_sysconfdir}/sound/events/mate-battstat_applet.soundlist
%{_datadir}/dbus-1/services/org.mate.panel.applet.AccessxStatusAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.BattstatAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.CharpickerAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.DriveMountAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.GeyesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.StickyNotesAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.TrashAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.battstat.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.charpick.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.geyes.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.stickynotes.gschema.xml
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-eyes-applet.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-sticky-notes-applet.svg
%{_datadir}/icons/mate/48x48/apps/ax-applet.png
%{_datadir}/mate-2.0/ui/accessx-status-applet-menu.xml
%{_datadir}/mate-2.0/ui/battstat-applet-menu.xml
%{_datadir}/mate-2.0/ui/charpick-applet-menu.xml
%{_datadir}/mate-2.0/ui/drivemount-applet-menu.xml
%{_datadir}/mate-2.0/ui/geyes-applet-menu.xml
%{_datadir}/mate-2.0/ui/stickynotes-applet-menu.xml
%{_datadir}/mate-2.0/ui/trashapplet-menu.xml
%{_datadir}/mate-panel/applets
%{_datadir}/mate/help/mate-accessx-status
%{_datadir}/mate/help/mate-battstat
%{_datadir}/mate/help/mate-char-palette
%{_datadir}/mate/help/mate-drivemount
%{_datadir}/mate/help/mate-geyes
%{_datadir}/mate/help/mate-stickynotes_applet
%{_datadir}/mate/help/mate-trashapplet
%{_datadir}/mate/help/mateweather
%{_datadir}/omf/mate-accessx-status
%{_datadir}/omf/mate-battstat
%{_datadir}/omf/mate-char-palette
%{_datadir}/omf/mate-drivemount
%{_datadir}/omf/mate-geyes
%{_datadir}/omf/mate-stickynotes_applet
%{_datadir}/omf/mate-trashapplet
%{_datadir}/omf/mateweather
%{_datadir}/omf/mate-multiload
%{_datadir}/pixmaps/mate-accessx-status-applet
%{_datadir}/pixmaps/mate-stickynotes
%{_datadir}/MateConf/gsettings/stickynotes-applet.convert
%{_libexecdir}/mate-applets
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateWeatherAppletFactory.service
%{_datadir}/dbus-1/services/org.mate.panel.applet.MultiLoadAppletFactory.service
%{_datadir}/glib-2.0/schemas/org.mate.panel.applet.multiload.gschema.xml
%{_datadir}/mate-2.0/ui/mateweather-applet-menu.xml
%{_datadir}/mate-2.0/ui/multiload-applet-menu.xml
%{_datadir}/mate/help/mate-multiload
%_sysconfdir/polkit-1/localauthority/50-local.d/01-cpufreq.pkla

%changelog
* Mon Apr 15 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.1-alt1_1
- new fc release

* Sat Apr 06 2013 Igor Vlasenko <viy@altlinux.ru> 1.6.0-alt1_1
- new fc release

* Thu Apr 04 2013 Gleb F-Malinovskiy <glebfm@altlinux.org> 1.5.2-alt2_2
- package plain 01-cpufreq.pkla instead of tar.xz file (closes: 28794)

* Thu Apr 04 2013 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.5.2-alt1_2.1
- hal dependence removed

* Wed Mar 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.2-alt1_2
- new fc release

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.2-alt1_1
- new fc release

* Sun Feb 17 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_4
- new fc release

* Sat Feb 02 2013 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1
- new version

* Mon Nov 19 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt2_1.1.1
- fixed build

* Fri Oct 26 2012 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.4.0-alt2_1.1
- Build for Sisyphus

* Wed Oct 17 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt2_1
- adapted alt patches

* Tue Aug 07 2012 Igor Vlasenko <viy@altlinux.ru> 1.4.0-alt1_1
- 20120801 mate snapshot

